// CStrBuf
// http://forlix.org/, df@forlix.org
//
// Copyright (c) 2012-2013 Dominik Friedrichs

#ifndef CSTRBUF_H
#define CSTRBUF_H

#include <string.h>

class CStrBuf
{
public:
  const char *Read(void);
  void Append(const char *String);

  void Wipe(void);

  CStrBuf(unsigned long InitSize);
  ~CStrBuf(void);

private:
  unsigned long InitialSize;
  unsigned long Allocated;
  unsigned long Occupied;

  char *Buffer;
};

#endif // CSTRBUF_H
